curl --request POST \
--url https://api.qovery.com/organization/{organizationId}/helmRepository \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"kind": "HTTPS",
"skip_tls_verification": true,
"config": {
"username": "<string>",
"password": "<string>",
"access_key_id": "<string>",
"secret_access_key": "<string>",
"region": "<string>",
"scaleway_access_key": "<string>",
"scaleway_secret_key": "<string>",
"scaleway_project_id": "<string>",
"azure_tenant_id": "<string>",
"azure_subscription_id": "<string>",
"role_arn": "<string>"
},
"description": "<string>",
"url": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"kind": "HTTPS",
"description": "<string>",
"url": "<string>",
"skip_tls_verification": true,
"associated_services_count": 123,
"config": {
"username": "<string>",
"region": "<string>",
"access_key_id": "<string>",
"role_arn": "<string>",
"scaleway_access_key": "<string>",
"scaleway_project_id": "<string>",
"azure_tenant_id": "<string>",
"azure_subscription_id": "<string>"
}
}curl --request POST \
--url https://api.qovery.com/organization/{organizationId}/helmRepository \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"kind": "HTTPS",
"skip_tls_verification": true,
"config": {
"username": "<string>",
"password": "<string>",
"access_key_id": "<string>",
"secret_access_key": "<string>",
"region": "<string>",
"scaleway_access_key": "<string>",
"scaleway_secret_key": "<string>",
"scaleway_project_id": "<string>",
"azure_tenant_id": "<string>",
"azure_subscription_id": "<string>",
"role_arn": "<string>"
},
"description": "<string>",
"url": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"kind": "HTTPS",
"description": "<string>",
"url": "<string>",
"skip_tls_verification": true,
"associated_services_count": 123,
"config": {
"username": "<string>",
"region": "<string>",
"access_key_id": "<string>",
"role_arn": "<string>",
"scaleway_access_key": "<string>",
"scaleway_project_id": "<string>",
"azure_tenant_id": "<string>",
"azure_subscription_id": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Organization ID
The type of your helm repository
HTTPS, OCI_ECR, OCI_SCALEWAY_CR, OCI_DOCKER_HUB, OCI_PUBLIC_ECR, OCI_GENERIC_CR, OCI_GITHUB_CR, OCI_GITLAB_CR Bypass tls certificate verification when connecting to repository
Show child attributes
URL of the helm chart repository:
OCI: it must start by oci://HTTPS: it must be start by https://Create a helm repository
The type of your helm repository
HTTPS, OCI_ECR, OCI_SCALEWAY_CR, OCI_DOCKER_HUB, OCI_PUBLIC_ECR, OCI_GENERIC_CR, OCI_GITHUB_CR, OCI_GITLAB_CR URL of the helm repository
Bypass tls certificate verification when connecting to repository
The number of services using this helm repository
Show child attributes
Was this page helpful?